body,
html {
  margin: 0;
  padding: 0;
  height: 100%;
}

* {
  box-sizing: border-box;
}

.top-panel {
  background-color: rgba(0, 171, 148, 255);
  color: white;
  list-style-type: none;
  margin: 0;
  padding: 10px;
  overflow: hidden;
}

.left-content {
  margin-top: 13px;
  margin-left: 20px;
  font-size: 20px;
  font-weight: bold;
  float: left;
}

.right-content {
  display: flex;
  margin-left: 10px;
  align-items: center;
  float: right;
  text-decoration: none;
}

.account {
  margin-top: 13px;
  font-weight: bold;
  margin-right: 10px;
  font-size: 18px;
}

.icon {
  width: auto;
  height: 45px;
  cursor: pointer; /* Додає курсор вказівника для підказки, що іконку можна клікнути */
  transition: transform 0.3s ease; /* Додає плавну анімацію при зміні властивостей */
}

.panel {
  outline-width: 30px;
}

.panel:hover {
  transform: scale(
    1.2
  ); /* Збільшує масштаб іконки при наведенні на неї мишкою */
}

.circle-animation {
  display: flex;
}

.circle-image {
  position: absolute;
  margin-top: 5px;
  margin-left: 24px;
  width: 19px;
  height: 19px;
  border-radius: 50%;
  background-color: transparent;
  border: 2px solid;
  animation: blink-animation 2s infinite alternate; /* Анімація мигання */
}

.green {
  border-color: green;
  background-color: green;
}

.profile-icon {
  display: flex;
}

.profile-dropdown {
  display: none;
  position: absolute;
  background-color: #f9f9f9;
  width: 160px;
  box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
  z-index: 1;
  top: 8%; /* Розміщуємо випливаюче вікно знизу від родича */
}

.profile-dropdown a {
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
  text-align: left;
}

.profile-dropdown a:hover {
  background-color: #f1f1f1;
}

.profile-icon:hover .profile-dropdown {
  display: block;
}

.notification-panel {
  position: absolute;
  top: 8%; /* Відступ від верхньої панелі */
  right: 0px; /* Відступ від правого краю */
  width: 300px;
  height: 100px;
  background-color: #f9f9f9;
  box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
  display: none; /* Початково ховаємо панель */
}

.profile-avatar {
  width: 30px;
  height: 30px;
  border-radius: 50%;
  margin-left: 15px;
}

.profile-info {
  display: flex;
  align-items: center;
  height: 30px;
}

.profile-name {
  top: 20px;
  color: black;
  border-bottom: 1px solid #ccc;
}

.sender-message::before {
  content: "";
  border-left: 10px solid transparent;
  border-bottom: 10px solid gray;
  margin-left: 20px;
  margin-top: 15px;
}

.message-rectangle {
  width: 210px;
  height: auto;
  border: 1px solid rgb(68, 68, 68);
  border-radius: 10px;
  background-color: gray;
  padding: 5px;
  padding-top: 20px;
  margin-top: 25px;
}

.notification-message {
  color: black;
}

.profil #bell_icon {
  height: 40px;
}

/* Показуємо панель при наведенні на зображення дзвіночка */
.circle-animation:hover .notification-panel {
  display: block;
}

.sidebar {
  background-color: #333;
  color: white;
  width: 13%;
  height: 645px;
  padding: 30px;
  display: flex;
  float: left;
  box-sizing: border-box;
}

.sidebar ul {
  list-style-type: none;
  padding: 0;
}

.sidebar ul li {
  margin-bottom: 10px;
}

.sidebar ul li a {
  color: white;
  font-weight: bold;
  font-size: 20px;
  text-decoration: none;
  display: block;
  padding: 10px;
  transition: background-color 0.3s ease;
}

.sidebar ul li a:hover {
  text-decoration: underline;
}

.sidebar ul li a.active {
  background-color: #666;
}

main {
  width: 87%;
  float: left;
}

header > h1 {
  float: left;
  margin-top: 40px;
  margin-left: 85px;
  color: #333;
}

#add-row-button {
  background-image: url("/icons/plus-icon.png");
  margin-top: 60px;
  float: right;
  margin-bottom: 15px;
  margin-right: 47px;
}

#edit-row-button {
  background-image: url("/icons/edit-icon.png");
}

#delete-row-button {
  background-image: url("/icons/delete-icon.png");
}

.button {
  background-size: cover; /* Масштабує зображення так, щоб воно повністю вкладалося у кнопку */
  background-position: center; /* Розташовує зображення по центру кнопки */
  border: none; /* Забирає рамку кнопки */
  width: 45px;
  height: 45px;
}

.button:hover {
  background-color: #cecece;
}

#add-record-form {
  width: 300px; /* Ширина форми */
  margin: 0 auto; /* Центрування форми по горизонталі */
  padding: 20px; /* Внутрішній відступ */
  border: 1px solid #ccc; /* Рамка навколо форми */
  border-radius: 5px; /* Закруглені кути */
  background-color: #f9f9f9; /* Фон форми */
}

/* Стилі для міток */
label {
  display: block; /* Зробити мітку блоковим елементом */
  margin-bottom: 5px; /* Зовнішній відступ знизу */
}

/* Стилі для вибірок */
select,
input[type="text"],
input[type="date"] {
  width: 100%; /* Ширина рівна 100% від батьківського контейнера */
  padding: 8px; /* Внутрішній відступ */
  margin-bottom: 10px; /* Зовнішній відступ знизу */
  border: 1px solid #ccc; /* Рамка навколо елементів форми */
  border-radius: 5px; /* Закруглені кути */
  box-sizing: border-box; /* Врахувати рамку в розмірі елемента */
}

/* Стилі для кнопки "Submit" */
input[type="submit"] {
  width: 100%; /* Ширина рівна 100% від батьківського контейнера */
  padding: 10px; /* Внутрішній відступ */
  background-color: #4caf50; /* Колір фону кнопки */
  color: white; /* Колір тексту */
  border: none; /* Відсутність рамки */
  border-radius: 5px; /* Закруглені кути */
  cursor: pointer; /* Зміна курсора при наведенні */
}

input[type="submit"]:hover {
  background-color: #45a049; /* Колір фону кнопки при наведенні */
}

.modal {
  display: none;
  position: fixed;
  z-index: 100;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  justify-content: center;
  align-items: center;
  background-color: rgba(0, 0, 0, 0.4);
}

.modal-content {
  background-color: #fefefe;
  margin: 15% auto;
  padding: 20px;
  border: 1px solid #888;
  width: 25%;
}

.close {
  color: #aaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: black;
  text-decoration: none;
  cursor: pointer;
}

.data-table-container {
  max-height: 400px;
  overflow-y: auto;
  width: 90%;
  margin-left: 85px;
}

table {
  width: 100%;
}

table,
th,
td {
  border: 2px solid #333;
  border-collapse: collapse;
}

th {
  color: rgba(0, 171, 148, 255);
  font-size: 18px;
}

th,
td {
  text-align: center;
  padding: 18px;
}

.column0 {
  width: 7%;
}

.column1 {
  width: 13%;
}

.column3 {
  width: 10%;
}

.column4 {
  width: 18%;
}

.column5 {
  width: 10%;
}

.column6 {
  width: 13%;
}

td.checkbox-cell {
  text-align: center; /* Горизонтальне вирівнювання по центру */
  vertical-align: middle; /* Вертикальне вирівнювання по середині */
}

.checkbox {
  width: 20px;
  height: 20px;
  border: 2px solid #000;
  cursor: pointer;
  text-align: center;
  display: inline-block;
}

.checkbox::after {
  content: "\2713"; /* Додає символ галочки після елементу з класом .checkbox */
  display: none; /* Початково приховує галочку */
}

.checkbox.checked::after {
  display: inline-block; /* Показує галочку при виборі */
}

td.circle-cell {
  text-align: center;
}

.circle {
  width: 20px;
  height: 20px;
  border-radius: 50%; /* Заокруглені кути для створення круга */
  display: inline-block;
  margin: 0 auto;
}

.circle.green {
  background-color: green; /* Зелений колір для статусу "заповнено" */
}

.circle.gray {
  background-color: gray; /* Сірий колір для статусу "не заповнено" */
}

.pagination {
  text-align: center; /* Вирівнюємо текст по центру */
}

.page-button {
  padding: 5px 10px; /* Задаємо відступи кнопок */
  margin: 0 1px; /* Задаємо відступи між кнопками */
  /*background-color:;  Задаємо колір фону кнопок */
  border: 2px solid #000000; /* Видаляємо рамку кнопок */
  border-radius: 10%;
  cursor: pointer; /* Змінюємо курсор при наведенні на кнопки */
  margin-top: 20px;
}

.arrow-button:hover,
.page-button:hover {
  background-color: #cecece; /* Змінюємо колір фону кнопок при наведенні */
}

.arrow-button {
  font-size: 18px; /* Збільшуємо розмір шрифту стрілок */
}

@keyframes blink-animation {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}

@media screen and (max-width: 1373px) {
  .data-table-container {
    margin-left: 60px;
    margin-right: 20px;
    width: 90%;
  }

  header > h1 {
    margin-left: 60px;
  }

  .modal-content {
    width: 30%;
  }
}

@media screen and (max-width: 1100px) {
  .sidebar {
    padding: 17px;
    width: 15%;
  }

  .modal-content {
    width: 37%;
  }

  main {
    width: 85%;
  }
}

@media screen and (max-width: 900px) {
  .data-table-container {
    margin-left: 40px;
    margin-right: 20px;
    width: 88%;
  }

  .modal-content {
    width: 48%;
  }

  header > h1 {
    margin-left: 40px;
  }

  .sidebar ul li a {
    font-size: 16px;
  }
}

@media screen and (max-width: 700px) {
  .sidebar {
    background-color: rgba(0, 171, 148, 255);
    padding: 10px;
    width: 17%;
  }

  main {
    width: 83%;
  }

  th,
  td {
    text-align: center;
    padding: 8px;
    font-size: 15px;
  }

  .button {
    width: 35px;
    height: 35px;
  }
}

@media screen and (max-width: 550px) {
  .top-panel {
    background-color: #333;
  }

  .sidebar {
    background-color: rgba(0, 171, 148, 255);
    padding: 10px;
    width: 20%;
  }

  .sidebar ul li a {
    font-size: 15px;
  }

  .data-table-container {
    margin-left: 30px;
    margin-right: 20px;
    width: 88%;
  }

  #add-row-button {
    margin-right: 20px;
  }

  .button {
    width: 30px;
    height: 30px;
  }

  header > h1 {
    margin-left: 30px;
  }

  main {
    width: 80%;
  }

  .modal-content {
    width: 70%;
  }

  th,
  td {
    text-align: center;
    padding: 8px;
    font-size: 15px;
  }
}
